package com.heyu.api.data.dao.device;
/**
* <p>
* 设备与用户绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceUserBindEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceUserBindDao extends BaseMapper<DeviceUserBindEntity> {


	DeviceUserBindEntity selectDeviceUserBindById(@Param("id")Long id);


	Long insertDeviceUserBind(DeviceUserBindEntity deviceUserBind);


	Long insertOrUpdateDeviceUserBind(DeviceUserBindEntity deviceUserBind);


	int updateDeviceUserBindById(DeviceUserBindEntity deviceUserBind);


	int updateCoverDeviceUserBindById(DeviceUserBindEntity deviceUserBind);


	int deleteDeviceUserBindById(@Param("id")Long id);


}